%define rname	RubyGems
%define	oname	rubygems

Summary:	Ruby package manager
Name:		ruby-%{rname}
Version:	1.7.2
Release:	%mkrel 3
License:	GPL
Group:		Development/Ruby
URL:		http://docs.rubygems.org/
Source0:	http://rubyforge.org/frs/download.php/60718/%{oname}-%{version}.tgz
BuildArch:	noarch
BuildRequires:	ruby
Requires:	ruby
Provides:	%{oname} = %{version}
Patch0:		rubygems-1.7.2-fix-gemspec-with-Z-dateformat.patch
Patch1:		rubygems-1.7.2-read-gemspec-with-Z-dateformat.patch


%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.

%prep
%setup -q -n rubygems-%{version}

%patch0 -p1 -b .fixZ
%patch1 -p1 -b .readZ


# gems are installed in /usr/lib even on x86_64 
%__sed -ie "s,ConfigMap\[:libdir\],\'/usr/lib\'," lib/rubygems/defaults.rb

%build

%install
rm -rf %buildroot
mkdir -p %buildroot%{ruby_gemdir}
ruby setup.rb --prefix=%buildroot/%_prefix
mkdir -p %buildroot%{ruby_sitelibdir}
mv %buildroot/%_prefix/lib/{*.rb,rubygems,rbconfig} %buildroot%{ruby_sitelibdir}

for f in `find %buildroot%{ruby_sitelibdir} -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README*
%attr(755,root,root) %{_bindir}/*
%{ruby_sitelibdir}/*
%{ruby_gemdir}


%changelog

* Mon Oct 03 2011 lebedov <lebedov> 1.7.2-3.mga2
+ Revision: 151368
- Update to 1.7.2.

* Wed Feb 16 2011 shikamaru <shikamaru> 1.5.2-1.mga1
+ Revision: 52189
- new version 1.5.2
- new version 1.5.1
- new version 1.5.0

* Mon Jan 17 2011 shikamaru <shikamaru> 1.3.7-1.mga1
+ Revision: 20990
- Spec cleaning
- reorder Tags to match the spec file syntax policy
- fix License
- fix URL (more update friendly)
- fix rpmlint warning 'mixed use of space and tabs'
- remove useless ruby require, add ruby(abi) require
- kill definition of %%buildroot
- use curly braces around custom variables (to match policy)
- use /usr/bin/env in scripts
- imported package ruby-RubyGems


* Thu Sep 16 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.7-1mdv2011.0
+ Revision: 579082
- new release: 1.3.7 (closes #61037)

* Wed Mar 17 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.5-3mdv2010.1
+ Revision: 524209
- don't define name, version & release on top of file
- add version to 'rubygems' provide

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-2mdv2010.1
+ Revision: 523932
- rebuilt for 2010.1

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.5-1mdv2010.0
+ Revision: 404729
- Update to new version 1.3.5

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 1.3.4-2mdv2010.0
+ Revision: 385513
- Use correct gem path on all platforms (#51599).

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 1.3.4-1mdv2010.0
+ Revision: 385327
- Update to 1.3.4.

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2009.1
+ Revision: 336112
- New version 1.3.1

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 225339
- rebuild

* Thu Feb 28 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 176209
- Update to 1.0.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-3mdv2008.0
+ Revision: 16663
- Use Development/Ruby group
- Use std macros


* Fri Aug 25 2006 Olivier Blin <blino@mandriva.com> 0.9.0-2mdv2007.0
- Patch1: fix ruby gems dir on x86_64 (and make the package really noarch)

* Fri Aug 25 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.0-1mdv2007.0
- 0.9.0

* Mon Jul 18 2005 Pascal Terjan <pterjan@mandriva.org> 0.8.11-1mdk
- First Mandriva version

